aboutsummaryrefslogtreecommitdiff
path: root/docker/prezto/install.zsh
diff options
context:
space:
mode:
authorChristian Höltje <docwhat@gerf.org>2017-07-11 01:39:55 +0300
committerChristian Höltje <docwhat@gerf.org>2017-07-12 03:41:46 +0300
commitdf318488c9bad0fae2e38c8fd57afaade295f135 (patch)
tree1580a46f9edfe65e33e4757be77ceb34acbf83fd /docker/prezto/install.zsh
parent3c3a86a42f6299f8ccc9af27b4cb03467cb28927 (diff)
test-in-docker: quickly test frameworks in docker
This adds `./test-in-docker` for quickly playing with various frameworks. All the containers are based off Ubuntu 14.04 which has ZSH 5.0.2. Thanks to @dritter for figuring out all the framework installation methods.
Diffstat (limited to 'docker/prezto/install.zsh')
-rw-r--r--docker/prezto/install.zsh18
1 files changed, 18 insertions, 0 deletions
diff --git a/docker/prezto/install.zsh b/docker/prezto/install.zsh
new file mode 100644
index 00000000..9cca57ed
--- /dev/null
+++ b/docker/prezto/install.zsh
@@ -0,0 +1,18 @@
+#!/bin/zsh
+
+set -eu
+
+git clone --recursive https://github.com/sorin-ionescu/prezto.git "${ZDOTDIR:-$HOME}/.zprezto"
+
+setopt EXTENDED_GLOB
+for rcfile in "${ZDOTDIR:-$HOME}"/.zprezto/runcoms/^README.md(.N); do
+ ln -nsf "$rcfile" "${ZDOTDIR:-$HOME}/.${rcfile:t}"
+done
+
+ln -s "${HOME}/p9k/powerlevel9k.zsh-theme" \
+ "${HOME}/.zprezto/modules/prompt/functions/prompt_powerlevel9k_setup"
+
+echo "zstyle ':prezto:module:prompt' theme 'powerlevel9k'" \
+ >> "${HOME}/.zpreztorc"
+
+# EOF